GET api/lockapi/locksbydistribution/{distributionId}?active={active}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| distributionId | globally unique identifier |
Required |
|
| active | boolean |
None. |
Body Parameters
None.
Response Information
Resource Description
Collection of LockViewModel| Name | Description | Type | Additional information |
|---|---|---|---|
| id | globally unique identifier |
None. |
|
| name | string |
String length: inclusive between 0 and 100 |
|
| direction | string |
Required String length: inclusive between 0 and 2 |
|
| distribution_id | globally unique identifier |
None. |
|
| guard_id | globally unique identifier |
None. |
|
| active | boolean |
None. |
Response Formats
application/json, text/json
Sample:
[
{
"id": "c3b9f0f4-9f78-49fa-9dd7-9ef91a6271cc",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "9efa6553-6e04-44f2-9c8a-91ebe344ea53",
"guard_id": "7ef3eb83-c2bf-4883-b190-08e8f8aa19e0",
"active": true
},
{
"id": "c3b9f0f4-9f78-49fa-9dd7-9ef91a6271cc",
"name": "sample string 2",
"direction": "sample string 3",
"distribution_id": "9efa6553-6e04-44f2-9c8a-91ebe344ea53",
"guard_id": "7ef3eb83-c2bf-4883-b190-08e8f8aa19e0",
"active": true
}
]
application/xml, text/xml
Sample:
<ArrayOflock xmlns:i="http://www.w3.org/2001/XMLSchema-instance" xmlns="http://schemas.datacontract.org/2004/07/EntityModel">
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>9efa6553-6e04-44f2-9c8a-91ebe344ea53</distribution_id>
<guard_id>7ef3eb83-c2bf-4883-b190-08e8f8aa19e0</guard_id>
<id>c3b9f0f4-9f78-49fa-9dd7-9ef91a6271cc</id>
<name>sample string 2</name>
</lock>
<lock>
<active>true</active>
<direction>sample string 3</direction>
<distribution_id>9efa6553-6e04-44f2-9c8a-91ebe344ea53</distribution_id>
<guard_id>7ef3eb83-c2bf-4883-b190-08e8f8aa19e0</guard_id>
<id>c3b9f0f4-9f78-49fa-9dd7-9ef91a6271cc</id>
<name>sample string 2</name>
</lock>
</ArrayOflock>